Bug 849809 - xrandr change background resolution
xrandr change background resolution
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: nautilus (Show other bugs)
6.3
x86_64 Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Carlos Soriano
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-20 21:02 EDT by ShengGe,Ding
Modified: 2016-04-05 17:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-05 17:40:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
actual result (936.27 KB, image/png)
2012-08-20 21:02 EDT, ShengGe,Ding
no flags Details

  None (edit)
Description ShengGe,Ding 2012-08-20 21:02:34 EDT
Created attachment 605805 [details]
actual result

Description of problem:

While changing the resolution with xrandr, the background picture can't be changed properly. 

Version-Release number of selected component (if applicable):


How reproducible:
Redhat 6.3_64bit on both AMD and NVIDIA GPUs.


Steps to Reproduce:
1.startx and launch an terminal.
2.xrandr 
  -check the name of display connected: $DISPLAY
3.xrandr --output $DISPLAY --mode 800x600
  -Change the desktop resolution back to 800x600
4.xrandr --output $DISPLAY --mode 1920x1200
  -Change the desktop resolution back to 1920x1200
  
Actual results:

the background picture is tiled.

Expected results:

the background picture is filled as normal.

Additional info:
Comment 2 RHEL Product and Program Management 2012-12-14 03:05:32 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 Adam Jackson 2014-04-04 13:21:31 EDT
That's not xrandr's fault.  xrandr is clearly resizing things correctly, it's the responsibility of the desktop to repaint the background.  Reassigning.
Comment 4 Chris Tatman 2016-04-05 17:40:08 EDT
Per our call today, I am closing this as a wontfix.

Note You need to log in before you can comment on or make changes to this bug.